Page MenuHomePhabricator

Updates to "Last edited" element on mobile
Closed, ResolvedPublic0 Estimated Story Points

Description

Description

There are two main issues with the "Last edited" element on mobile:

  • the tappable area for the element is unclear (only the "Last edited ... ago" text is tappable, not the chevron or the rest of the element)
  • the element includes a link to the user page of the user who made the most recent update, which is not useful (read T163853#3281928)

Screenshot_20190604-185042.png (2×1 px, 259 KB)

Design notes

  • entire element (edge-to-edge) should be tappable, and lead to the history page
  • remove the link to the user page

QA Results - Prod

ACStatusDetails
1T163853#7620040
2T163853#7620040

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson added a subscriber: Jdlrobson.

Nirzar this needs some input

This "easy" task has no codebase project assigned so I assume this is about the MobileFrontend codebase?

Jdlrobson moved this task from Blocked to Bugs on the MinervaNeue board.

@alexhollender feel free to merge this into T193993 if that makes sense, but let's work out a way to address the issues associated with this component.

Niedzielski renamed this task from Last edited arrow and cell should be clickable to Last edited history arrow, icon, and cell should be clickable.Nov 29 2018, 4:19 PM
Niedzielski removed Nirzar as the assignee of this task.
Niedzielski updated the task description. (Show Details)
Niedzielski added a subscriber: Nirzar.
alexhollender_WMF renamed this task from Last edited history arrow, icon, and cell should be clickable to Updates to "Last edited" element on mobile.Jun 4 2019, 4:55 PM
alexhollender_WMF updated the task description. (Show Details)
alexhollender_WMF added a subscriber: ovasileva.

@ovasileva @Jdlrobson even if we bring AMC features to all logged-in users this will still be an issue for logged-out users. It seems worth fixing to me. Moving out of design column since there is no more design work needed (the task description has been updated to clarify what should be done).

In T163853#5234228, @alexhollender wrote:

@ovasileva @Jdlrobson even if we bring AMC features to all logged-in users this will still be an issue for logged-out users. It seems worth fixing to me. Moving out of design column since there is no more design work needed (the task description has been updated to clarify what should be done).

sounds good.

Given that AMC may be deployed to all users in time, do we want to remove this link instead?

Per discussion: not a priority. Moving to backlog. We'll know more once AMC has been out for a while.

ovasileva lowered the priority of this task from Medium to Low.Oct 22 2020, 3:35 PM

I tried to implement this and found out that to remove the link to user page, I need to change getLastModifiedMessage in MobileFrontend extension. Because in Minerva skin, it's called from initHistoryLink to construct the last modified message.

Looks like getLastModifiedMessage is only used in Minerva skin, so I assume it is safe to modify it, isn't it?

Change 738215 had a related patch set uploaded (by GPR; author: GPR):

[mediawiki/extensions/MobileFrontend@master] Change anchor in last modified message to strong and span

https://gerrit.wikimedia.org/r/738215

Jdlrobson set the point value for this task to 0.

Patch from a volunteer. I've given it a first round of review.

Hi @GPR please retag with Readers-Web-Backlog (Kanbanana-FY-2021-22) when you need another review.

Change 738215 merged by jenkins-bot:

[mediawiki/extensions/MobileFrontend@master] Change anchor in last modified message to strong and span

https://gerrit.wikimedia.org/r/738215

I've merged the MobileFrontend patch. When things are a bit quieter in QA I'll merge the Minerva one.

Change 738216 had a related patch set uploaded (by Jdlrobson; author: GPR):

[mediawiki/skins/MinervaNeue@master] Make whole area of last edited section to be tappable

https://gerrit.wikimedia.org/r/738216

Change 738216 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@master] Make whole area of last edited section to be tappable

https://gerrit.wikimedia.org/r/738216

Edtadros added a subscriber: Edtadros.

Test Result - Prod

Status: ✅ PASS
Environment: enwiki
OS: macOS Monterey
Browser: Chrome
Device: MBP
Emulated Device:NA

Test Artifact(s):

QA Steps

✅ AC1: entire element (edge-to-edge) should be tappable, and lead to the history page
✅ AC2: remove the link to the user page

Screen Recording 2022-01-13 at 9.14.16 AM.mov.gif (836×392 px, 494 KB)

Looks good, resolving